eoTimeVaryingLoopEval(3)

NAME
eoTimeVaryingLoopEval - eoPopLoopEval: an instance of eoPopEvalFunc that simply applies a private eoEvalFunc to all offspring AND ALL PARENTS as the fitness is supposed here to vary

SYNOPSIS

#include <eoPopEvalFunc.h>

Inherits eoPopEvalFunc< EOT >< EOT >.

  Public Member Functions
eoTimeVaryingLoopEval (eoEvalFunc< EOT > &_eval)
Ctor: set value of embedded eoEvalFunc.
void operator() (eoPop< EOT > &_parents, eoPop< EOT > &_offspring)
Do the job: simple loop over the offspring.

  Private Attributes
eoEvalFunc< EOT > & eval

Detailed Description

  template<class EOT> class eoTimeVaryingLoopEval< EOT >
eoPopLoopEval: an instance of eoPopEvalFunc that simply applies a private eoEvalFunc to all offspring AND ALL PARENTS as the fitness is supposed here to vary

Definition at line 84 of file eoPopEvalFunc.h.

Author

Generated automatically by Doxygen for EO from the source code.